%define section free

Summary:        JUnit Doclet test generator for JDK 1.3
Name:           junitdoclet-jdk13
Version:        1.0.2
Release:        1jpp
Epoch:          0
License:        LGPL
URL:            http://www.junitdoclet.org/
Group:          Development/Test/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        JUnitDoclet_1.0.2_jdk1.3.zip
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  java-1.3.1-devel
Requires:       java-1.3.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Especially creating and maintaining a test structure is 
often used as an excuse. JUnitDoclet lowers the step 
toward JUnit. It generates skeletons of TestCases based 
on your application source code. And it supports you to 
reorganize tests during refactoring. Suddenly all the 
excuses don't count any longer. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents and Examples for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -T -c -n JUnitDoclet.1.0.2
(cd ..
unzip -q %{SOURCE0}
)
rm JUnitDoclet.jar
rm *.txt
unzip -q src.zip
rm src.zip

%build
export JAVA_HOME=/usr/lib/jvm/java-1.3.1
export CLASSPATH=$(build-classpath \
ant \
ant-optional \
junit)
ant -Dbuild.sysclasspath=first

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/JUnitDoclet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/res
cp -p res/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/res

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/JUnitDoclet.unreleased/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}

# -----------------------------------------------------------------------------

%changelog

* Mon Mar 15 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.2-1jpp
- First JPackage release
